#include <unordered_map>
using std::unordered_map;

int main() {
    unordered_map<string,double> payRate; 
    payRate["Louise"] = 15.67;
    payRate["Ted"] = 12.89;
    payRate["Helen"] = 11.78;
    payRate["Marvin"] = 12.50;
    unordered_map<string,double>::iterator i;
    for (i=payRate.begin(); i!=payRate.end(); ++i)
            cout << i->first << " earns " 
                    << i->second << " an hour.\n";
	return 0;
}
